require File.expand_path('../tpex/error', __FILE__)
require File.expand_path('../tpex/configuration', __FILE__)
require File.expand_path('../tpex/api', __FILE__)
require File.expand_path('../tpex/client', __FILE__)
require File.expand_path('../tpex/response', __FILE__)

require 'pry'


module TPEX
  extend Configuration

  def self.client(options={})
    TPEX::Client.new(options)
  end

  def self.method_missing(method, *args, &block)
    return super unless client.respond_to?(method)
    client.send(method, *args, &block)
  end

  def self.respond_to?(method)
    return client.respond_to?(method) || super
  end
end

# binding.pry
